classification
Title: sqlite3: Externally developed?
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, erlendaasland, miss-islington, python-dev, serhiy.storchaka, user1347091, xtreak, zach.ware
Priority: normal Keywords: patch

Created on 2021-01-28 21:07 by user1347091, last changed 2021-01-31 07:39 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24364 merged python-dev, 2021-01-28 21:36
PR 24392 merged miss-islington, 2021-01-31 05:19
PR 24393 merged miss-islington, 2021-01-31 05:19
Messages (12)
msg385884 - (view) Author: (user1347091) * Date: 2021-01-28 21:07
In the documentation of the sqlite3 module it says:

See also:
    https://github.com/ghaering/pysqlite
    The pysqlite web page – sqlite3 is developed externally under the name “pysqlite”.

However, the README.md of the linked repository says:

    This project is not actively maintained any more: You are better off using the "sqlite3" module in the Python standard library, which originated from the pysqlite codebase.

Which information is correct? They seem contraticting to me. It looks like this is old information from times where sqlite3 wasn't integrated in the Python standard library yet - or am I missing something?
msg385885 - (view) Author: (user1347091) * Date: 2021-01-28 21:08
The documentation page in question is the following:

https://docs.python.org/3.10/library/sqlite3.html
(Sorry, I forgot to add this information to my original post)
msg385886 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-01-28 21:14
Looks like that link could be safely removed from our docs.  Would you like to submit a pull request doing so?
msg385887 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-01-28 21:45
Perhaps we should remove the (pysqlite) version attributes while we're there? Ref. https://mail.python.org/archives/list/python-dev@python.org/message/NS6YVA3QCAXELK7KROOLULKXOF3KFFJA/

>>> import sqlite3
>>> sqlite3.version
'2.6.0'
>>> sqlite3.version_info
(2, 6, 0)


Berker?
msg385888 - (view) Author: (user1347091) * Date: 2021-01-28 21:54
At least in Python 3.9.1, these commands still exist:
    Python 3.9.1 (default, Dec 13 2020, 11:55:53) 
    [GCC 10.2.0] on linux
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import sqlite3
    >>> sqlite3.version
    '2.6.0'
    >>> sqlite3.version_info
    (2, 6, 0) 
So if they are obsolete as well, they should be removed from cpython as well, and not only from the documentation.

I have created a pull request for the obsolete link, and I'd be happy to take care of this as well if we decide to do so.
msg385896 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-01-29 07:01
Before removing public documented attribute it should be deprecated.

Don't haste with this, I have a large patch for removing obsolete version attributes in process.
msg385897 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-01-29 07:29
> Before removing public documented attribute it should be deprecated.

Of course.

> […], I have a large patch for removing obsolete version attributes in process.

Great!
msg386004 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2021-01-31 05:19
New changeset e60344364245a23a7a1b25d5ebce6833652a656c by L in branch 'master':
bpo-43059: Remove reference to legacy external sqlite3 repository (GH-24364)
https://github.com/python/cpython/commit/e60344364245a23a7a1b25d5ebce6833652a656c
msg386005 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2021-01-31 05:21
New changeset 926ca51be4b9b80c41a647bbc2fb9c40ff108ff0 by Miss Islington (bot) in branch '3.9':
bpo-43059: Remove reference to legacy external sqlite3 repository (GH-24364)
https://github.com/python/cpython/commit/926ca51be4b9b80c41a647bbc2fb9c40ff108ff0
msg386006 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2021-01-31 05:21
New changeset de76ce540ed013a31d4c80bca2587a2dd7c23652 by Miss Islington (bot) in branch '3.8':
bpo-43059: Remove reference to legacy external sqlite3 repository (GH-24364)
https://github.com/python/cpython/commit/de76ce540ed013a31d4c80bca2587a2dd7c23652
msg386007 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2021-01-31 05:26
Yes, version attributes should be deprecated and properly documented in Doc/whatsnew/3.10.rst before removal. I remember we broke Mailman when we removed a dunder attribute from the mail package.

Thank you for the PR!
msg386010 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2021-01-31 07:39
mock also broke similar package on removing __version__. See also https://bugs.python.org/issue31826
History
Date User Action Args
2021-01-31 07:39:13xtreaksetnosy: + xtreak
messages: + msg386010
2021-01-31 05:26:27berker.peksagsetstatus: open -> closed
versions: + Python 3.8, Python 3.9
messages: + msg386007

resolution: fixed
stage: patch review -> resolved
2021-01-31 05:21:57berker.peksagsetmessages: + msg386006
2021-01-31 05:21:31berker.peksagsetmessages: + msg386005
2021-01-31 05:19:40miss-islingtonsetpull_requests: + pull_request23207
2021-01-31 05:19:33miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request23206
2021-01-31 05:19:10berker.peksagsetmessages: + msg386004
2021-01-29 07:29:01erlendaaslandsetmessages: + msg385897
2021-01-29 07:01:43serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg385896
2021-01-28 21:54:51user1347091setmessages: + msg385888
2021-01-28 21:45:53erlendaaslandsetmessages: + msg385887
2021-01-28 21:36:04python-devsetkeywords: + patch
nosy: + python-dev

pull_requests: + pull_request23186
stage: patch review
2021-01-28 21:14:55zach.waresetnosy: + berker.peksag, erlendaasland, zach.ware
messages: + msg385886
2021-01-28 21:08:49user1347091setmessages: + msg385885
2021-01-28 21:07:11user1347091create